OpenVDB 5.1.0

Public Types | List of all members
VectorToScalarConverter< VectorGridType > Struct Template Reference

VectorToScalarConverter<VectorGridType>::Type is the type of a grid having the same tree configuration as VectorGridType but a scalar value type, T, where T is the type of the original vector components. More...

`#include <GridOperators.h>`

## Public Types
typedef VectorGridType::ValueType::value_type | VecComponentValueT
typedef VectorGridType::template ValueConverter< VecComponentValueT >::Type | Type

## Detailed Description

### template<typename VectorGridType>
struct openvdb::v5_1::tools::VectorToScalarConverter< VectorGridType >

VectorToScalarConverter<VectorGridType>::Type is the type of a grid having the same tree configuration as VectorGridType but a scalar value type, T, where T is the type of the original vector components.

For example, VectorToScalarConverter<Vec3DGrid>::Type is equivalent to DoubleGrid.

## Member Typedef Documentation

## ◆ Type

typedef VectorGridType::template ValueConverter<VecComponentValueT>::Type Type

## ◆ VecComponentValueT

typedef VectorGridType::ValueType::value_type VecComponentValueT

The documentation for this struct was generated from the following file:

- GridOperators.h